

# ---- Coding enums ----
DIRECTION_LEFT = 0
DIRECTION_RIGHT = 1
DIRECTION_UP = 2
DIRECTION_DOWN = 3



# ----- GFX -----
SCREEN_X = 1024
SCREEN_Y = 768

BORDER_WIDTH_X = 0
BORDER_WIDTH_Y = 0
MAX_BLOCK_SIZE_X = 200
MAX_BLOCK_SIZE_Y = 200
SCALETOSIZE = (1024, 768)

BLOCK_KILL_TIME = 80.0 # in ticks

# -- UI -- 

BG_COLOUR = (32, 32, 192)
NEXT_BLOCK_BG_COLOUR = (128, 32, 32)

# Positions
GAME_SURFACE_POS = (BORDER_WIDTH_X, BORDER_WIDTH_Y)
GAME_SURFACE_SIZE = ((3 * SCALETOSIZE[0] / 4) - BORDER_WIDTH_X, SCALETOSIZE[1] - (2 * BORDER_WIDTH_Y))
NEXT_BLOCK_SURFACE_POS = (SCALETOSIZE[0] - MAX_BLOCK_SIZE_X - BORDER_WIDTH_X, BORDER_WIDTH_Y)


# ---- Game Constants ----
# Properties
BLOCK_DENSITY = 600
PHYSICS_DISTANCE_SCALE_X = 1 # 1 pixel = 0.1mm
PHYSICS_DISTANCE_SCALE_Y = 1 # 1 pixel = 0.1mm

# Speeds
GFX_TICK_RATE = 45
LOGIC_TICK_RATE = 15